using SteamWare;
using System;
using System.Web.UI;

namespace GMW.WebUserControls
{
    public partial class mod_SearchProvOperatori : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                doTraduci();
                //mod_detailOperatori1.Visible = false;
                mod_execOperatori1.Visible = false;
            }
            //mod_listOperatori1.eh_selValore += new EventHandler(mod_listOperatori1_eh_selValore);
            //mod_listOperatori1.eh_resetSelezione += new EventHandler(mod_listOperatori1_eh_resetSelezione);
        }

        void mod_listOperatori1_eh_resetSelezione(object sender, EventArgs e)
        {
            //mod_detailOperatori1.Visible = false;
            mod_execOperatori1.Visible = false;
        }

        void mod_listOperatori1_eh_selValore(object sender, EventArgs e)
        {
            //mod_detailOperatori1.Visible = true;
            //mod_detailOperatori1.doUpdate();
            mod_execOperatori1.Visible = true;
        }


        private void doTraduci()
        {
            lblSearchProvider.Text = traduci("Operatori");
        }

        /// <summary>
        /// Effettua la ricerca indicata
        /// </summary>
        public void doSearch()
        {
            //mod_listOperatori1.doUpdate();
            //mod_detailOperatori1.Visible = false;
            mod_execOperatori1.Visible = false;
        }
        /// <summary>
        /// wrapper metodo traduzione
        /// </summary>
        /// <param name="lemma"></param>
        /// <returns></returns>
        public string traduci(string lemma)
        {
            return user_std.UtSn.Traduci(lemma);
        }
    }
}